
Application: gvSIG desktop - gvSIG bugs #2271
Error al guardar un proyecto con WCS
01/31/2014 09:56 AM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WCS
Target version: 2.1.0-2219-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2218 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

He creado un proyecto con varias Vistas, añadiendo primero un ECW guardando proyecto y volviendo abrir.
Añado una nueva Vista con WMTS, guardo proyecto y vuelvo a abrir.
Añado un par de WCS en un par de Vistas y al guardar me sale mensaje de que no puede guardar el proyecto.

Adjunto log.

History
#1 - 01/31/2014 09:57 AM - Álvaro Anguix
- File gvSIG.log added

#2 - 01/31/2014 10:13 AM - Álvaro Anguix

Con el WCS de la CIT no me ocurre. Con este sí: 
http://www.juntadeandalucia.es/medioambiente/mapwms/REDIAM_WCS_elevaciones_desemb_guadiana_2000?

#3 - 02/04/2014 08:40 AM - Ignacio Brodín
- Status changed from New to Awaiting response

No he podido replicar el caso que cuentas. Puedes repetir los pasos con la 2218? Tampoco veo nada en el log que me haga pensar que haya sido la
persistencia de WCS la que ha producido la excepción. Hay un error relacionado con esto pero debería haber saltado antes. También veo otros
errores de persistencia pero no son del servicio remoto. En resumen, a ver si podemos encontrar unos pasos para replicarlo porque sino me va a ser
difícil seguirle la pista.

#4 - 02/04/2014 09:33 AM - Álvaro Anguix
- Status changed from Awaiting response to Won't fix

Pues tampoco he conseguido replicarlo. He seguido los mismos pasos varias veces y nada, todo funciona en la 2218. Lo paso a won't fix.

#5 - 02/04/2014 03:35 PM - Ignacio Brodín

05/15/2024 1/2

http://www.juntadeandalucia.es/medioambiente/mapwms/REDIAM_WCS_elevaciones_desemb_guadiana_2000


- Status changed from Won't fix to Fixed

He conseguido replicar el error que te aparece en el log, aunque no tiene que ver con la persistencia. Lamentablemente no he logrado encontrar un
patrón para repetirlo pero si puedo evitarlo. Por algún motivo se pierde la referencia al handler en algún momento y hay que leer de nuevo.

gvsig-desktop:r41125

#6 - 02/20/2014 11:38 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 455 KB 01/31/2014 Álvaro Anguix
